Last Comment Bug 535231 - Port |Bug 513783 - Land js-ctypes on trunk and 1.9.2| to SeaMonkey
: Port |Bug 513783 - Land js-ctypes on trunk and 1.9.2| to SeaMonkey
Status: RESOLVED FIXED
: fixed-seamonkey2.0.3
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on: 513783 518721 519146 527363
Blocks: C192ConfSync
  Show dependency treegraph
 
Reported: 2009-12-16 08:38 PST by Serge Gautherie (:sgautherie)
Modified: 2010-02-01 07:54 PST (History)
3 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Av1) Fix m-1.9.2+, packaging part only [Checkin: Comment 3] (2.42 KB, patch)
2009-12-16 08:54 PST, Serge Gautherie (:sgautherie)
kairo: review+
Details | Diff | Review
(Bv1-191) Support downgrading [Checkin: Comment 4] (951 bytes, patch)
2009-12-16 08:56 PST, Serge Gautherie (:sgautherie)
kairo: review+
kairo: approval‑seamonkey2.0.3+
Details | Diff | Review
(Cv1) Port configure part (= 3 Core bugs), Update SeaMonkey packaging [Checkin: Comment 10] (2.99 KB, patch)
2010-01-26 09:09 PST, Serge Gautherie (:sgautherie)
bugspam.Callek: review+
Details | Diff | Review
(Dv1-TB) Update Thunderbird packaging [Checkin: Comment 11] (1.11 KB, patch)
2010-01-26 09:13 PST, Serge Gautherie (:sgautherie)
standard8: review+
Details | Diff | Review

Description Serge Gautherie (:sgautherie) 2009-12-16 08:38:13 PST
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.3a1pre) Gecko/20091216 SeaMonkey/2.1a1pre] (comm-central-trunk-win32/1260970429) (W2Ksp4)
{
Failed to load XPCOM component: ...\components\jsctypes.dll
}

I'll fix the packaging part immediately.
I'll leave the "configure.in" part(s) for later, as we don't really care for them (atm).
Comment 1 Serge Gautherie (:sgautherie) 2009-12-16 08:54:34 PST
Created attachment 417938 [details] [diff] [review]
(Av1) Fix m-1.9.2+, packaging part only
[Checkin: Comment 3]
Comment 2 Serge Gautherie (:sgautherie) 2009-12-16 08:56:55 PST
Created attachment 417939 [details] [diff] [review]
(Bv1-191) Support downgrading
[Checkin: Comment 4]
Comment 3 Serge Gautherie (:sgautherie) 2009-12-16 15:37:01 PST
Comment on attachment 417938 [details] [diff] [review]
(Av1) Fix m-1.9.2+, packaging part only
[Checkin: Comment 3]


http://hg.mozilla.org/comm-central/rev/59a4f0081fe2
Comment 4 Serge Gautherie (:sgautherie) 2009-12-16 15:49:03 PST
Comment on attachment 417939 [details] [diff] [review]
(Bv1-191) Support downgrading
[Checkin: Comment 4]


http://hg.mozilla.org/releases/comm-1.9.1/rev/21bf46738f83
Comment 5 Serge Gautherie (:sgautherie) 2009-12-16 17:04:14 PST
(In reply to comment #3)
> (From update of attachment 417938 [details] [diff] [review])
> 
> http://hg.mozilla.org/comm-central/rev/59a4f0081fe2

This part is V.Fixed, per tinderbox.
Comment 6 Serge Gautherie (:sgautherie) 2010-01-25 18:53:26 PST
(In reply to comment #0)
> I'll leave the "configure.in" part(s) for later, as we don't really care for
> them (atm).

Afaict, the "only" relevant part would be the first block of
http://hg.mozilla.org/releases/mozilla-1.9.2/diff/8dcb04076a94/configure.in
of which we can notice
{
    1.11 +if test "$OS_TEST" != "arm"; then
    1.12 +  BUILD_CTYPES=1
}

Mark, Robert,
am I right to assume that c-c apps are not targeting "arm"?
(So we wouldn't need to port any configure part.)
Comment 7 Robert Kaiser (not working on stability any more) 2010-01-26 07:58:13 PST
(In reply to comment #6)
> Mark, Robert,
> am I right to assume that c-c apps are not targeting "arm"?
> (So we wouldn't need to port any configure part.)

If possible, we should not explicitely un-support it, as Thundebird may very well want to work on a version for netbooks and maybe even smaller devices that often run with arm processors.
And I as well as others might still like to be able to build SeaMonkey e.g. for the N810, even if its UI doesn't fit well.
Comment 8 Serge Gautherie (:sgautherie) 2010-01-26 09:09:38 PST
Created attachment 423537 [details] [diff] [review]
(Cv1) Port configure part (= 3 Core bugs), Update SeaMonkey packaging
[Checkin: Comment 10]

Per comment 7.
Comment 9 Serge Gautherie (:sgautherie) 2010-01-26 09:13:43 PST
Created attachment 423543 [details] [diff] [review]
(Dv1-TB) Update Thunderbird packaging
[Checkin: Comment 11]

NB: TB team can check (and fix if need be) their (lack of) removed-files.in handling in another bug...
Comment 10 Serge Gautherie (:sgautherie) 2010-01-26 20:28:46 PST
Comment on attachment 423537 [details] [diff] [review]
(Cv1) Port configure part (= 3 Core bugs), Update SeaMonkey packaging
[Checkin: Comment 10]


http://hg.mozilla.org/comm-central/rev/4e92978d386a
Comment 11 Serge Gautherie (:sgautherie) 2010-02-01 07:54:02 PST
Comment on attachment 423543 [details] [diff] [review]
(Dv1-TB) Update Thunderbird packaging
[Checkin: Comment 11]


http://hg.mozilla.org/comm-central/rev/701e06745f44

Note You need to log in before you can comment on or make changes to this bug.